from django.db import models
from django.contrib.contenttypes.models import ContentType
from django.urls import reverse


from adhesions.models import Adhesion, User, Corporation


class Profile(models.Model):
    user = models.OneToOneField(User, related_name='profile', verbose_name='Utilisateur')
    phone_number = models.CharField(max_length=16, blank=True, default='',
                                    verbose_name='Numéro de téléphone')
    address = models.TextField(blank=True, default='', verbose_name='Adresse')
    notes = models.TextField(blank=True, default='')

    class Meta:
        verbose_name = 'profil'

    def __str__(self):
        return str(self.user)
